cancel
Showing results for 
Search instead for 
Did you mean: 

roboform won't attach firefox 4

Highlighted
New Contributor

roboform won't attach firefox 4

Roboform is installed and works with Firefox 3.6. It will not attach to Firefox 4 even though I have all the options set correctly.

10 REPLIES
Support Forum Moderator

Re: roboform won't attach firefox 4

See Roboform for an updated adapter.
http://www.roboform.com/platforms/browsers/firefox

New Contributor

Re: roboform won't attach firefox 4

Thanks. I have the latest adapter installed. I even reinstalled it just to be sure. Doesn't attach Firefox 4, although if I set FF3.6 as default it does.

New Contributor

Re: roboform won't attach firefox 4

How do you set Firefox 3.6 as the default? Thanx!

New Contributor

Re: roboform won't attach firefox 4

The default installation of FF4 is in the same directory as FF3.6 which means it overwrites it. But by installing FF4 in a separate directory you can have both installed. Then set each one to check if it's the default browser.

Also discovered the problem with Roboform. Version 6 won't attach FF4, at least not in my system. Upgrading to Roboform 7 solved this one.

New Contributor

Re: roboform won't attach firefox 4

That would be great! As of now they don't have a functioning addon for Firefox 4

New Contributor

Re: roboform won't attach firefox 4

Roboform requires a separate license for each device. So when you add up your desktops, laptops, and portable keys, it can be quite expensive. In addition you need to purchase their Goodsync program to use their online universality.

All this would be worthwhile, albeit costly, if Version 7 were an enormous improvement. At best it's an incremental improvement that looks nicer.

New Contributor

Re: roboform won't attach firefox 4

actually there is a workaround. all credits to swmyp from ru -board

  1. Numbered list item Install Roboform 7.2.7
  2. Numbered list item Copy folder "c:\Program Files\Siber Systems\AI RoboForm\Firefox\"
  3. Numbered list item Install Roboform 6.10.2 -dont untick option to install adapter for firefox
  4. Numbered list item Replace "c:\Program Files\Siber Systems\AI RoboForm\Firefox\" with your copy from 7.2.7 version

now u should have working 6.10.2 roboform with latest adapter from 7.2.7

If toolbar didnt appear right away after restart, remove Roboform toolbar extention from add-ons.

New Contributor

Re: roboform won't attach firefox 4

This (4 steps) procedure no longer works with Firefox 4 official release.

New Contributor

Re: roboform won't attach firefox 4

Go to the Roboform Firefox page at http://www.roboform.com/platforms/browsers/firefox

Scroll down about half the page and you will see the file link roboform-firefox-3-4-frozen.xpi. Click it, allow Firefox 4 to install it and Roboform will automatically install the 7.2.3 adapter to let Roboform Ver. 6 work with Firefox 4.

They are not publicizing this as they would rather you spend your hard earned money and upgrade to Ver 7, but it works and is their official fix